SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001417SiT!LDAPpublic2010-10-30 12:592011-07-17 13:09
Reporterdipohl 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001417: Edit contactdetails deletes username for LDAP users
DescriptionCustomers ticket view in portal offers a link to edit their account data.
ldap users who update their account info with it, fail to login after that:

"Invalid combination of user and password"

because the record in table contacts has an empty field username.
Steps To ReproduceCreate customers by LDAP-Query.
Call contactdetails.php and update account info.
Additional InformationThere is no field "username" printed in form if the user has contact_source == ldap. I added "if clause" to the update command to protect username from beeing overwritten in this case. Patch against current SVN 3.x version is attached.
Tagspatch
Attached Filesdiff file icon patch-contactdetails.diff [^] (1,288 bytes) 2010-10-30 12:59 [Show Content]

- Relationships

-  Notes
User avatar (0003465)
paulh (administrator)
2010-11-20 13:43

Can repro with latest svn
User avatar (0003466)
paulh (administrator)
2010-11-20 13:49

r6764 and 8a60626 resolve this

Thanks dipohl
User avatar (0003716)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2010-10-30 12:59 dipohl New Issue
2010-10-30 12:59 dipohl File Added: patch-contactdetails.diff
2010-10-30 13:01 dipohl Tag Attached: patch
2010-11-20 13:43 paulh Status new => assigned
2010-11-20 13:43 paulh Assigned To => paulh
2010-11-20 13:43 paulh Note Added: 0003465
2010-11-20 13:49 paulh Note Added: 0003466
2010-11-20 13:49 paulh Status assigned => resolved
2010-11-20 13:49 paulh Resolution open => fixed
2010-11-20 13:49 paulh Fixed in Version => Current SVN
2010-11-20 13:49 paulh Target Version => 3.63 LTS
2011-04-16 15:07 ivan Note Added: 0003716
2011-04-16 15:07 ivan Status resolved => closed
2011-07-17 13:09 ivan Fixed in Version Current SVN => 3.63 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker